export class BaseTreeViewer {
    constructor(options: any);
    container: any;
    eventBus: any;
    reset(): void;
    _lastToggleIsShow: boolean | undefined;
    /**
     * @private
     */
    private _dispatchEvent;
    /**
     * @private
     */
    private _bindLink;
    /**
     * @private
     */
    private _normalizeTextContent;
    /**
     * Prepend a button before a tree item which allows the user to collapse or
     * expand all tree items at that level; see `_toggleTreeItem`.
     * @private
     */
    private _addToggleButton;
    /**
     * Collapse or expand the subtree of a tree item.
     *
     * @param {Element} root - the root of the item (sub)tree.
     * @param {boolean} show - whether to show the item (sub)tree. If false,
     *   the item subtree rooted at `root` will be collapsed.
     * @private
     */
    private _toggleTreeItem;
    /**
     * Collapse or expand all subtrees of the `container`.
     * @private
     */
    private _toggleAllTreeItems;
    render(params: any): void;
}
//# sourceMappingURL=base_tree_viewer.d.ts.map