/**
 * Construct a GrabToPan instance for a given HTML element.
 * @param options.element {Element}
 * @param options.ignoreTarget {function} optional. See `ignoreTarget(node)`
 * @param options.onActiveChanged {function(boolean)} optional. Called
 *  when grab-to-pan is (de)activated. The first argument is a boolean that
 *  shows whether grab-to-pan is activated.
 */
export function GrabToPan(options: any): void;
export class GrabToPan {
    /**
     * Construct a GrabToPan instance for a given HTML element.
     * @param options.element {Element}
     * @param options.ignoreTarget {function} optional. See `ignoreTarget(node)`
     * @param options.onActiveChanged {function(boolean)} optional. Called
     *  when grab-to-pan is (de)activated. The first argument is a boolean that
     *  shows whether grab-to-pan is activated.
     */
    constructor(options: any);
    element: any;
    document: any;
    ignoreTarget: (node: Element) => boolean;
    onActiveChanged: any;
    activate: () => void;
    deactivate: () => void;
    toggle: () => void;
    private _onmousedown;
    private _onmousemove;
    private _endPan;
    overlay: HTMLDivElement;
    CSS_CLASS_GRAB: string;
}
//# sourceMappingURL=grab_to_pan.d.ts.map