/**
 * Creates a "search bar" given a set of DOM elements that act as controls
 * for searching or for setting search preferences in the UI. This object
 * also sets up the appropriate events for the controls. Actual searching
 * is done by PDFFindController.
 */
export class PDFFindBar {
    constructor(options: any, eventBus: any, l10n?: {
        getLanguage(): Promise<string>;
        getDirection(): Promise<string>;
        get(property: any, args: any, fallback: any): Promise<any>;
        translate(element: any): Promise<void>;
    });
    opened: boolean;
    bar: any;
    toggleButton: any;
    findField: any;
    highlightAll: any;
    caseSensitive: any;
    entireWord: any;
    findMsg: any;
    findResultsCount: any;
    findPreviousButton: any;
    findNextButton: any;
    eventBus: any;
    l10n: {
        getLanguage(): Promise<string>;
        getDirection(): Promise<string>;
        get(property: any, args: any, fallback: any): Promise<any>;
        translate(element: any): Promise<void>;
    };
    reset(): void;
    dispatchEvent(type: any, findPrev: any): void;
    updateUIState(state: any, previous: any, matchesCount: any): void;
    updateResultsCount({ current, total }?: {
        current?: number | undefined;
        total?: number | undefined;
    }): void;
    open(): void;
    close(): void;
    toggle(): void;
    /**
     * @private
     */
    private _adjustWidth;
}
//# sourceMappingURL=pdf_find_bar.d.ts.map