export type PDFLayerViewerOptions = {
    /**
     * - The viewer element.
     */
    container: HTMLDivElement;
    /**
     * - The application event bus.
     */
    eventBus: any;
    /**
     * - Localization service.
     */
    l10n: any;
};
export type PDFLayerViewerRenderParameters = {
    /**
     * - An
     * {OptionalContentConfig} instance.
     */
    optionalContentConfig: any | null;
    /**
     * - A {PDFDocument} instance.
     */
    pdfDocument: any;
};
/**
 * @typedef {Object} PDFLayerViewerOptions
 * @property {HTMLDivElement} container - The viewer element.
 * @property {EventBus} eventBus - The application event bus.
 * @property {IL10n} l10n - Localization service.
 */
/**
 * @typedef {Object} PDFLayerViewerRenderParameters
 * @property {OptionalContentConfig|null} optionalContentConfig - An
 *   {OptionalContentConfig} instance.
 * @property {PDFDocument} pdfDocument - A {PDFDocument} instance.
 */
export class PDFLayerViewer extends BaseTreeViewer {
    l10n: any;
    _optionalContentConfig: any;
    _pdfDocument: any;
    /**
     * @private
     */
    private _setNestedName;
    /**
     * @private
     */
    private _resetLayers;
}
import { BaseTreeViewer } from "./base_tree_viewer.js";
//# sourceMappingURL=pdf_layer_viewer.d.ts.map