export type PDFOutlineViewerOptions = {
    /**
     * - The viewer element.
     */
    container: HTMLDivElement;
    /**
     * - The navigation/linking service.
     */
    linkService: any;
    /**
     * - The application event bus.
     */
    eventBus: any;
};
export type PDFOutlineViewerRenderParameters = {
    /**
     * - An array of outline objects.
     */
    outline: any[] | null;
};
/**
 * @typedef {Object} PDFOutlineViewerOptions
 * @property {HTMLDivElement} container - The viewer element.
 * @property {IPDFLinkService} linkService - The navigation/linking service.
 * @property {EventBus} eventBus - The application event bus.
 */
/**
 * @typedef {Object} PDFOutlineViewerRenderParameters
 * @property {Array|null} outline - An array of outline objects.
 */
export class PDFOutlineViewer extends BaseTreeViewer {
    /**
     * @param {PDFOutlineViewerOptions} options
     */
    constructor(options: PDFOutlineViewerOptions);
    linkService: any;
    _outline: any[] | null | undefined;
    /**
     * @private
     */
    private _setStyles;
}
import { BaseTreeViewer } from "./base_tree_viewer.js";
//# sourceMappingURL=pdf_outline_viewer.d.ts.map