export type PDFSidebarResizerOptions = {
    /**
     * - The outer container
     * (encasing both the viewer and sidebar elements).
     */
    outerContainer: HTMLDivElement;
    /**
     * - The DOM element that can be dragged in
     * order to adjust the width of the sidebar.
     */
    resizer: HTMLDivElement;
};
/**
 * @typedef {Object} PDFSidebarResizerOptions
 * @property {HTMLDivElement} outerContainer - The outer container
 *   (encasing both the viewer and sidebar elements).
 * @property {HTMLDivElement} resizer - The DOM element that can be dragged in
 *   order to adjust the width of the sidebar.
 */
export class PDFSidebarResizer {
    /**
     * @param {PDFSidebarResizerOptions} options
     * @param {EventBus} eventBus - The application event bus.
     * @param {IL10n} l10n - Localization service.
     */
    constructor(options: PDFSidebarResizerOptions, eventBus: any, l10n?: any);
    enabled: boolean;
    isRTL: boolean;
    sidebarOpen: boolean;
    doc: HTMLElement;
    _width: any;
    _outerContainerWidth: number | null;
    _boundEvents: any;
    outerContainer: HTMLDivElement;
    resizer: HTMLDivElement;
    eventBus: any;
    l10n: any;
    /**
     * @type {number}
     */
    get outerContainerWidth(): number;
    /**
     * @private
     * returns {boolean} Indicating if the sidebar width was updated.
     */
    private _updateWidth;
    /**
     * @private
     */
    private _mouseMove;
    /**
     * @private
     */
    private _mouseUp;
    /**
     * @private
     */
    private _addEventListeners;
}
//# sourceMappingURL=pdf_sidebar_resizer.d.ts.map